# $Revision: 1.11 $, $Date: 2005/03/12 12:32:37 $
%define		module	pyao
Summary:	A Python module for the the ao library
Summary(pl):	Modu Pythona do biblioteki ao
Name:		python-%{module}
Version:	0.82
Release:	1
License:	GPL
Group:		Libraries/Python
#Source0Download: http://www.andrewchatham.com/pyogg/
Source0:	http://www.andrewchatham.com/pyogg/download/%{module}-%{version}.tar.gz
# Source0-md5:	8e00f5154401a6f6d99efd20606e2819
URL:		http://www.andrewchatham.com/pyogg/
BuildRequires:	libao-devel
BuildRequires:	python-devel
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	pyao

%description
Pyao is a wrapper for libao, an audio device abstraction library.

%description -l pl
Pyao jest wrapperem dla libao - biblioteki abstrakcji do odtwarzania
dwiku.

%package devel
Summary:	pyao header and example programs
Summary(pl):	Plik nagwkowy i przykadowy program do pyao
Group:		Development/Languages/Python
Requires:	%{name} = %{version}
Requires:	libao-devel
Obsoletes:	pyao-devel

%description devel
Pyao is a wrapper for libao, an audio device abstraction library. This
package contains the header file and example program for pyao.

%description devel -l pl
Pyao jest wrapperem dla libao - biblioteki abstrakcji do odtwarzania
dwiku. Ten pakiet zawiera plik nagwkowy i przykadowy program dla
moduu pyao.

%prep
%setup -q -n %{module}-%{version}

%build
python config_unix.py \
	--prefix %{_prefix}
python setup.py config
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_incdir}

python setup.py install \
	--root $RPM_BUILD_ROOT

install src/aomodule.h $RPM_BUILD_ROOT%{py_incdir}

chmod -x test.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{py_sitedir}/*.so

%files devel
%defattr(644,root,root,755)
%doc test.py
%{py_incdir}/aomodule.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyao.spec,v $
Revision 1.11  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.10  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.9  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.8  2003/11/22 00:48:25  qboosh
- updated to 0.82

Revision 1.7  2003/05/28 13:01:30  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/06 10:40:10  qboosh
- added -devel deps

Revision 1.4  2003/05/06 10:36:33  qboosh
- removed autodetected dependency

Revision 1.3  2003/05/06 10:20:29  qboosh
- cleanups in descriptions

Revision 1.2  2003/04/30 01:27:44  djrzulf
- seems to be finished,
- adapterized,
- STBR,

Revision 1.1  2003/04/30 00:02:51  djrzulf
- initial based on python-pyogg and alt linux spec

Revision 1.1  2003/04/29 23:33:13  djrzulf
- based on alt linux
